plugins {
    id 'fabric-loom' version '1.6-SNAPSHOT'
    id 'maven-publish'
}

version = "0.0.3"
group = "net.Chipperfluff"

repositories {
    mavenCentral()
}

dependencies {
    minecraft "com.mojang:minecraft:1.20.1"

    mappings "net.fabricmc:yarn:1.20.1+build.10:v2"
    modImplementation "net.fabricmc:fabric-loader:0.15.11"

    // 🔴 THIS LINE IS THE FIX
    modImplementation "net.fabricmc.fabric-api:fabric-api:0.92.2+1.20.1"
}

java {
    toolchain {
        languageVersion = JavaLanguageVersion.of(17)
    }
}

loom {
    runs {
        server {
            server()
            runDir "run-server"
        }
        client1 {
            client()
            runDir "run-1"
        }
        client2 {
            client()
            runDir "run-2"
        }
    }
}

